NO puedo actualizar nada ayuda con el codigo fuentes /etc/apt/sources.list )

Spanish Forum

Moderators: tomeu, JCSenar

Post Reply
carlos90
Level 1
Level 1
Posts: 1
Joined: Sun Sep 27, 2020 7:48 pm

NO puedo actualizar nada ayuda con el codigo fuentes /etc/apt/sources.list )

Post by carlos90 »

my pc has this characters
inxi -Fxznr

Code: Select all

System:
  Kernel: 5.4.0-26-generic x86_64 bits: 64 compiler: gcc v: 9.3.0 
  Desktop: Cinnamon 4.6.6 Distro: Linux Mint 20 Ulyana 
  base: Ubuntu 20.04 focal 
Machine:
  Type: Laptop System: ASUSTeK product: E402NA v: 1.0 serial: <filter> 
  Mobo: ASUSTeK model: E402NA v: 1.0 serial: <filter> 
  UEFI: American Megatrends v: E402NA.306 date: 05/03/2017 
Battery:
  ID-1: BAT0 charge: N/A condition: N/A model: N/A status: Unknown 
CPU:
  Topology: Dual Core model: Intel Celeron N3350 bits: 64 type: MCP 
  arch: Goldmont rev: 9 L2 cache: 1024 KiB 
  flags: lm nx pae sse sse2 sse3 sse4_1 sse4_2 ssse3 vmx bogomips: 4377 
  Speed: 924 MHz min/max: 800/1100 MHz Core speeds (MHz): 1: 796 2: 796 
Graphics:
  Device-1: Intel HD Graphics 500 vendor: ASUSTeK driver: i915 v: kernel 
  bus ID: 00:02.0 
  Display: x11 server: X.Org 1.20.8 driver: modesetting unloaded: fbdev,vesa 
  resolution: 1366x768~60Hz 
  OpenGL: renderer: Mesa Intel HD Graphics 500 (APL 2) v: 4.6 Mesa 20.0.4 
  direct render: Yes 
Audio:
  Device-1: Intel Celeron N3350/Pentium N4200/Atom E3900 Series Audio Cluster vendor: ASUSTeK driver: snd_hda_intel v: kernel bus ID: 00:0e.0 
  Sound Server: ALSA v: k5.4.0-26-generic 
Network:
  Device-1: Realtek RTL810xE PCI Express Fast Ethernet vendor: ASUSTeK 
  driver: r8169 v: kernel port: e000 bus ID: 01:00.2 
  IF: enp1s0f2 state: down mac: <filter> 
  Device-2: Qualcomm Atheros QCA9377 802.11ac Wireless Network Adapter 
  vendor: AzureWave driver: ath10k_pci v: kernel port: e000 bus ID: 02:00.0 
  IF: wlp2s0 state: up mac: <filter> 
Drives:
  Local Storage: total: 494.88 GiB used: 34.15 GiB (6.9%) 
  ID-1: /dev/mmcblk0 model: BJNB4R size: 29.12 GiB 
  ID-2: /dev/sda vendor: HGST (Hitachi) model: HTS545050A7E380 
  size: 465.76 GiB 
Partition:
  ID-1: / size: 111.26 GiB used: 14.30 GiB (12.8%) fs: ext4 dev: /dev/sda6 
Sensors:
  System Temperatures: cpu: 42.0 C mobo: N/A 
  Fan Speeds (RPM): cpu: 0 
Repos:
  No active apt repos in: /etc/apt/sources.list 
  Active apt repos in: /etc/apt/sources.list.d/additional-repositories.list 
  1: deb http://dl.google.com/linux/chrome/deb/ stable main
  Active apt repos in: /etc/apt/sources.list.d/official-package-repositories.list 
  1: deb http://packages.linuxmint.com ulyana main upstream import backport
  2: deb http://archive.ubuntu.com/ubuntu focal main restricted universe multiverse
  3: deb http://archive.ubuntu.com/ubuntu focal-updates main restricted universe multiverse
  4: deb http://archive.ubuntu.com/ubuntu focal-backports main restricted universe multiverse
  5: deb http://security.ubuntu.com/ubuntu/ focal-security main restricted universe multiverse
  6: deb http://archive.canonical.com/ubuntu/ focal partner
Info:
  Processes: 182 Uptime: 18m Memory: 3.71 GiB used: 1.15 GiB (31.0%) 
  Init: systemd runlevel: 5 Compilers: gcc: 9.3.0 Shell: bash v: 5.0.16 
  inxi: 3.0.38
i am used
sudo pluma /etc/apt/sources.list
result
sudo: pluma: orden no encontrada
i am used
gksudo pluma /etc/apt/sources.list
result
in: gksudo: orden no encontrada
i am used
sudo xed /etc/apt/sources.list
and open following editor

Code: Select all

#deb cdrom:[Linux Mint 20 _Ulyana_ - Release amd64 20200624]/ focal contrib main

# This system was installed using small removable media
# (e.g. netinst, live or single CD). The matching "deb cdrom"
# entries were disabled at the end of the installation process.
# For information about how to configure apt package sources,
# see the sources.list(5) manual.
new line of text
Last edited by JCSenar on Mon Sep 28, 2020 10:07 am, edited 1 time in total.
Reason: Añadido el formato [code]
User avatar
JOPETA
Level 17
Level 17
Posts: 7388
Joined: Thu Nov 20, 2014 6:10 am
Location: En un lugar de cuyo nombre no quiero acordarme

Re: NO puedo actualizar nada ayuda con el codigo fuentes /etc/apt/sources.list )

Post by JOPETA »

Hola carlos90, bienvenido al foro en español. :D

1)Para saber porqué no puedes actualizar abre una terminal (Alt+Ctrl+T), copia y pega en ella la siguiente línea de códigos y devuelve el resultado usando la opción </>code del foro como se indica aquí

Code: Select all

apt update
2)Desconozco las indicaciones que has seguido pero parecen destinadas a otra distro que no es Mint. En principio nada indica la necesidad de editar /etc/apt/sources.list. Tras instalar no debe existir ningún repositorio activo en ese archivo.

3)Si tratas e añadir otro repsositorio por cualquier motivo, Mint dispone de la aplicación gráfica mintsources para gestionar los repositorios, Orígenes (en atras ediciones) o Fuentes del Software en LM 20 (Menú>Centro de Control>Fuentes del software o mintsources desde la terminal). Podrías añadir de forma sencilla otros repositorios en Repositorios adicionales y/o en PPAs .
Fuestes del software Linux Mint 20.png
4)De ser necesario, por ser la conexión la causa del problema, mira aquí para eligir otro servidor local. En principio la primera vez que ejecutas el Administrador de Actualizaciones, te sugiere la conexión con un servidor local y te dirige a las Fuentes del software para seleccionarlo ya que el servidor central de Mint y de Ubuntu vienen predeterminados.

5)No parece en cualquier caso que ese archivo sea el problema, a no ser que lo modificaras después. Si has modificado ese archivo u otro archivo deberías deshacer los cambios introducidos ( nueva línea añadida??) para ello el código recomendado para su edición sería

Code: Select all

xed admin:///etc/apt/sources.list 
6)Trataré de explicarte los resultados obtenidos al tratar de editar
a)Desde hace varias ediciones en Mint (desde LM 19 creo recordar) el editor predeterminado en todos los escritorios es xed
i am used
sudo pluma /etc/apt/sources.list
result
sudo: pluma: orden no encontrada
b)Puedes instalar el editor de tu escritorio o el tu editor preferido si quieres (pluma es el editor del escritorio Mate y tienes instalado Cinnamon).
i am used
gksudo pluma /etc/apt/sources.list
result
in: gksudo: orden no encontrada
c)También desde hace varias ediciones (solo se mantiene en LM 18.X) no existe el gksudo
i am used
sudo xed /etc/apt/sources.list
and open following editor
d)En la edición de archivos del sistema con un editor con interfaz gráfica se realiza como administrador sin sudo, bastaría con añadir admin:// a la ruta del archivo.

e)El sistema se encargará de reclamarte la necesidad de contraseña cuando sea necesario en este y otros casos (en el código apt anterior por ejemplo o si ejeutas los orígenes de software desde la teminal con mintsources) . Ni siquiera en LM 20 que perecen resueltos algunos problemas con su uso, lo están todos aún, por lo que debes evitar el uso del sudo innecesariamente.
Ni cola de león ni cabeza de ratón, prefiero ser diente de ajo.(Javier Krahe)
Post Reply

Return to “Español (Spanish)”